Package org.apache.any23.extractor.example

## Class ExampleExtractor

- java.lang.Object
- - org.apache.any23.extractor.example.ExampleExtractor

- All Implemented Interfaces:
    `Extractor<org.eclipse.rdf4j.model.IRI>`, `Extractor.BlindExtractor`

      public class ExampleExtractor
      extends Object
      implements Extractor.BlindExtractor

  Example concrete implementation of `Extractor.BlindExtractor`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.any23.extractor.Extractor

      `Extractor.BlindExtractor, Extractor.ContentExtractor, Extractor.TagSoupDOMExtractor`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExampleExtractor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExtractorDescription` | `getDescription()` |
    `void` | `run​(ExtractionParameters extractionParameters, ExtractionContext extractionContext, org.eclipse.rdf4j.model.IRI documentIRI, ExtractionResult out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExampleExtractor

          public ExampleExtractor()

  - ### Method Detail

    - #### run

          public void run​(ExtractionParameters extractionParameters,
                          ExtractionContext extractionContext,
                          org.eclipse.rdf4j.model.IRI documentIRI,
                          ExtractionResult out)
                   throws IOException,
                          ExtractionException

      Specified by:
        `run` in interface `Extractor<org.eclipse.rdf4j.model.IRI>`
      Throws:
        `IOException`
        `ExtractionException`

    - #### getDescription

          public ExtractorDescription getDescription()

      Specified by:
        `getDescription` in interface `Extractor<org.eclipse.rdf4j.model.IRI>`